Subject: [OAUTH-WG] Benoit Claise's No Objection on draft-ietf-oauth-saml2-bearer-21: (with COMMENT)

From: "Benoit Claise" <[email-masked]>
Date: Thu, 16 Oct 2014 05:33:42 -0700

Benoit Claise has entered the following ballot position for
draft-ietf-oauth-saml2-bearer-21: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
http://datatracker.ietf.org/doc/draft-ietf-oauth-saml2-bearer/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I cleared my DISCUSS on the basis that RFC 6755 will be moved to an
informative reference in response to this process issue: IDnits complains
of a normative reference to Informational document RFC 6755, which was
not noted in the Last Call announcement.

Editorial Nits:

S2.2: The paragraph before the actual example uses terminology
inconsistent with RFC 6749:

 s/authorization code grant/authorization grant/

---

From: Kathleen Moriarty <[email-masked]>
Date: Thu, 16 Oct 2014 09:49:18 -0400

Thanks, Benoit.  I'll double check this before the draft progresses.

Thanks,
Kathleen

Sent from my iPhone

> On Oct 16, 2014, at 8:33 AM, "Benoit Claise" <[email-masked]> wrote:
>

---

From: Mike Jones <[email-masked]>
Date: Thu, 16 Oct 2014 16:09:28 +0000

Thanks for your review, Benoit.  Replies are inline below...

> -----Original Message-----
> From: OAuth [mailto:[email-masked]] On Behalf Of Benoit Claise
> Sent: Thursday, October 16, 2014 5:34 AM
> To: The IESG
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: [OAUTH-WG] Benoit Claise's No Objection on draft-ietf-oauth-saml2-
> bearer-21: (with COMMENT)
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> I cleared my DISCUSS on the basis that RFC 6755 will be moved to an informative
> reference in response to this process issue: IDnits complains of a normative
> reference to Informational document RFC 6755, which was not noted in the Last
> Call announcement.

Yes, I agree with this becoming informational.  For what it's worth, I just made this change to the related JWT draft.

> Editorial Nits:
> 
> S2.2: The paragraph before the actual example uses terminology inconsistent
> with RFC 6749:
> 

Per my reply on October 6 to Tom Taylor's review which made the same comment, actually, RFC 6749 uses both terms.  Authorization Grant is the generic term.  Authorization Code Grant (defined in Section 4.1 of 6749) is a specific kind of authorization grant.  The text is correct as-is.

> _______________________________________________
> OAuth mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/oauth